diff --git a/slim.conf b/slim.conf
index 2c72255..7af4adb 100644
--- a/slim.conf
+++ b/slim.conf
@@ -2,7 +2,7 @@
 # Note: -xauth $authfile is automatically appended
 default_path        /bin:/usr/bin:/usr/local/bin
 default_xserver     /usr/bin/X
-#xserver_arguments   -dpi 75
+xserver_arguments   -nolisten tcp -br -deferglyphs 16 vt07
 
 # Commands for halt, login, etc.
 halt_cmd            /sbin/shutdown -h now
@@ -18,7 +18,7 @@ authfile           /var/run/slim.auth
 
 
 # Activate numlock when slim starts. Valid values: on|off
-# numlock             on
+numlock             on
 
 # Hide the mouse cursor (note: does not work with some WMs).
 # Valid values: true|false
@@ -33,19 +33,20 @@ authfile           /var/run/slim.auth
 # to adjust the command according to your preferred shell,
 # i.e. for freebsd use:
 # login_cmd           exec /bin/sh - ~/.xinitrc %session
-login_cmd           exec /bin/bash -login ~/.xinitrc %session
+# login_cmd           exec /bin/bash -login ~/.xinitrc %session
+login_cmd           exec /bin/bash -login /usr/share/slim/Xsession %session
 
 # Commands executed when starting and exiting a session.
 # They can be used for registering a X11 session with
 # sessreg. You can use the %user variable
 #
-# sessionstart_cmd	some command
-# sessionstop_cmd	some command
+sessionstart_cmd	/usr/bin/sessreg -a -l :0.0 %user
+sessionstop_cmd		/usr/bin/sessreg -d -l :0.0 %user
 
 # Start in daemon mode. Valid values: yes | no
 # Note that this can be overriden by the command line
 # options "-d" and "-nodaemon"
-# daemon	yes
+daemon	yes
 
 # Available sessions:
 # The current chosen session name replaces %session in the login_cmd
@@ -63,7 +64,10 @@ login_cmd           exec /bin/bash -login ~/.xinitrc %session
 sessiondir     /usr/share/xsessions
 
 # Executed when pressing F11 (requires imagemagick for 'import')
-screenshot_cmd      import -window root /slim.png
+# Alternative: media-gfx/scrot. See Gentoo bug 252241 for more info.
+screenshot_cmd      import -window root /tmp/slim.png
+#screenshot_cmd      scrot /tmp/slim.png
+
 
 # welcome message. Available variables: %host, %domain
 welcome_msg         Welcome to %host
@@ -92,8 +96,8 @@ reboot_msg         The system is rebooting...
 # randomly choose from
 current_theme       default
 
-# Lock file
-lockfile            /var/run/slim.lock
+# Lock file, /etc/init.d/xdm expects slim.pid
+lockfile            /run/slim.pid
 
 # Log file
 logfile             /var/log/slim.log
